# script de l'application flask_forms
# nom du script : application.py

from flask import Flask, render_template, request

app = Flask(__name__)

@app.route('/')
def index():
    return render_template ("index.htm")

@app.route('/connexion')
def connexion():
   return render_template("connexion.htm")
   
@app.route('/traitement' , methods = ['GET'])
def traitement():
    donnees = request.args
    identifiant = donnees.get('identifiant')
    motpasse = donnees.get('motpasse')
    nom = donnees.get('nom')
    print(identifiant, motpasse, nom)

    # récupération dans la base de données du mot de passe pour identifiant saisi
    identifiant_mem ="dupont@free.fr"
    motpasse_mem ="sesame62"
    
    if identifiant == identifiant_mem and motpasse == motpasse_mem :
        return render_template('traitement.htm', nom_utilisateur = nom)
    else :
        return render_template("traitement.htm")
 
if __name__ == "__main__":
    app.run(debug = True)
